import 'package:flutter/material.dart';
import 'package:prosappco/src/components/pop_appbar.dart';

class ProfessionalRevisionScreen extends StatefulWidget {
  const ProfessionalRevisionScreen({super.key});

  @override
  State<ProfessionalRevisionScreen> createState() =>
      _ProfessionalRevisionScreenState();
}

class _ProfessionalRevisionScreenState
    extends State<ProfessionalRevisionScreen> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
      appBar: PopAppbar(
        onPressed: () {
          Navigator.pop(context);
        },
        label: 'Perfil profesional',
      ),
      body: Container(
        color: Colors.white,
        child: Padding(
          padding: const EdgeInsets.only(top: 40),
          child: Column(
            children: [
              const Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Icon(
                    Icons.access_time,
                    color: Color(0xFF2BA4EC),
                  ),
                  SizedBox(width: 8),
                  Text('Información en revisión.',
                      style: TextStyle(
                          color: Color(0xFF2BA4EC),
                          fontSize: 17,
                          fontWeight: FontWeight.w500)),
                ],
              ),
              const Image(
                image: AssetImage('images/checklist.gif'),
                width: 300,
              ),
              Container(
                margin: const EdgeInsets.symmetric(horizontal: 40),
                decoration: BoxDecoration(
                  color: const Color(0xFFD6F4FF),
                  borderRadius: BorderRadius.circular(30),
                  boxShadow: [
                    BoxShadow(
                      color: Colors.grey.withOpacity(0.5),
                      spreadRadius: 2,
                      blurRadius: 5,
                      offset: const Offset(0, 3), // changes position of shadow
                    ),
                  ],
                ),
                padding:
                    const EdgeInsets.symmetric(vertical: 15, horizontal: 25),
                child: const Wrap(
                  alignment: WrapAlignment.start, // Centra el contenido
                  children: [
                    SizedBox(
                      width: 350,
                      child: Row(
                        children: [
                          Expanded(
                            child: Text(
                              'Gracias por proporcionar su información. Actualmente, estamos revisando sus datos y una vez aprobados, podrá acceder al perfil profesional sin problemas. Le notificaremos tan pronto como su cuenta esté lista. ¡Gracias por su paciencia!.',
                              style: TextStyle(
                                fontSize: 14,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    ));
  }
}
